<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Battleship Lib Test</title>
    <link href="https://unpkg.com/sanitize.css" rel="stylesheet" />
    <link href="https://unpkg.com/sanitize.css/typography.css" rel="stylesheet" />
    <link href="https://unpkg.com/sanitize.css/forms.css" rel="stylesheet" />
    <script src="https://unpkg.com/react@16.13.1/umd/react.production.min.js"></script>
    <script src="https://unpkg.com/react-dom@16.13.1/umd/react-dom.production.min.js"></script>
    <script src="lib/battleship-lib.js"></script>
  </head>
  <body>
    <div id="heading" style="margin-top: 0.5rem;"></div>
    <div id="grid" style="padding: 1rem; text-align: center;"></div>
    <div id="spinner"></div>
  </body>
  <script type="module">
    // suspense component wrapper function
    var suspense = function(component) {
      return React.createElement(battleship.AppSuspense, {
        children: component
      });
    };

    // render heading
    var heading = React.createElement(battleship.AppHeading, {
      text: 'Battleship Lib Test'
    });
    var toolbarSpacer = React.createElement(battleship.ToolbarSpacer);
    var button = React.createElement(battleship.Button, {
      text: 'Show Spinner',
      design: battleship.ButtonDesign.Primary,
      onClick: function() {
        // render spinner
        var spinnerContainer = document.getElementById('spinner');
        var spinner = React.createElement(battleship.Spinner, {
          onClick: function() {
            // remove spinner
            ReactDOM.unmountComponentAtNode(spinnerContainer);
            spinnerContainer.innerHTML = '';
          }
        });
        ReactDOM.render(spinner, spinnerContainer);
      }
    });
    var toolbar = React.createElement(battleship.Toolbar, {
      children: [heading, toolbarSpacer, button]
    });
    ReactDOM.render(toolbar, document.getElementById('heading'));

    // render grid
    var grid = React.createElement(battleship.OceanGrid, {
      grid: { size: { x: 8, y: 8 } }
    });
    ReactDOM.render(suspense(grid), document.getElementById('grid'));
  </script>
</html>
